# Barry::CodFileBuilder Class Reference

`#include <cod.h>`

Collaboration diagram for Barry::CodFileBuilder:

[legend]

List of all members.

## Detailed Description

The CodFileBuilder class is used to assemble multiple .cod files into a single packed .cod file using the pkzip file format.

Definition at line 56 of file cod.h.

## Public Member Functions

void | WriteNextHeader (std::ostream &output, const uint8_t *buffer, uint32_t module_size)
| Writes packed .cod file header to the output stream, and appends an entry to the central directory.
void | WriteFooter (std::ostream &output)
| Write the central directory and central directory ending indicator to the output stream.

## Member Function Documentation

void Barry::CodFileBuilder::WriteNextHeader | ( | std::ostream & | output,
|  | const uint8_t * | buffer,
|  | uint32_t | module_size |
| ) |  |  |

Writes packed .cod file header to the output stream, and appends an entry to the central directory.

If the module count used to create CodFileBuilder is equal to one, the call is ignored.

Note: it is the caller's responsibility to write the actual COD file data after calling this function.

Parameters:

  | output | stream to write to
  | buffer | buffered .cod file data, input to CRC-32 function
  | module_size | total size of .cod file data

Definition at line 118 of file cod.cc.

void Barry::CodFileBuilder::WriteFooter | ( | std::ostream & | output | ) |

Write the central directory and central directory ending indicator to the output stream.

Parameters:

  | output | stream to write to

Definition at line 195 of file cod.cc.

The documentation for this class was generated from the following files:

- cod.h
- cod.cc